List open positions by cohort
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts/positions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts/positions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"asOf": "<string>",
"rows": [
{
"owner": "<string>",
"marketId": 123,
"symbol": "<string>",
"side": "long",
"size": 123,
"notionalUsd": 123,
"entryPrice": 123,
"markPrice": 123,
"ownerPnl": 123
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"error": "Too many requests. Please wait for a moment."
}Market
List open positions by cohort
Open positions across all wallets on a venue, filterable by cohort, wallet, market and side. Paged with page and limit.
GET
/
cohorts
/
positions
List open positions by cohort
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts/positions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts/positions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"asOf": "<string>",
"rows": [
{
"owner": "<string>",
"marketId": 123,
"symbol": "<string>",
"side": "long",
"size": 123,
"notionalUsd": 123,
"entryPrice": 123,
"markPrice": 123,
"ownerPnl": 123
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"error": "Too many requests. Please wait for a moment."
}Authorizations
Your API key. Keys are issued on request: message @perp_ag on X.
Query Parameters
Venue. See Venues and identifiers.
Available options:
LIGHTER, RHLT, JUPITER, PHOENIX, BULLET, AFTERMATH Only wallets in this cohort.
Available options:
extremely_profitable, very_profitable, profitable, unprofitable, very_unprofitable, rekt Only this wallet.
Only this market.
Only this side.
Available options:
long, short Sort column.
Available options:
notional_usd, size, owner_pnl, owner Sort direction.
Available options:
asc, desc Page, from 1.
Required range:
x >= 1Rows per page.
Required range:
1 <= x <= 200⌘I